import React, { useState, useEffect } from 'react';
import { csv, timeParse } from 'd3';

const csvUrl =
  'https://raw.githubusercontent.com/CSSEGISandData/COVID-19/master/csse_covid_19_data/csse_covid_19_time_series/time_series_covid19_deaths_global.csv';


const parseDate = timeParse('%m/%d/%y')
const sum = (acc, currentVal) => (acc += currentVal);
const transform = (rawData) => {
  return rawData.columns.slice(4).map((day) => {
    const deathTotal = rawData
      .map((d) => +d[day])
      .reduce(sum, 0);
    return {
      date:parseDate(day),
      deathTotal,
    };
  });
};
export const useData = (rawData) => {
  const [data, setData] = useState();

  useEffect(() => {
    csv(csvUrl).then((rawData) =>
      setData(transform(rawData))
    );
  }, []);
  // console.log(data);
  return data;
};
